Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00965 Gameplay Minor Have not tried Feb 7, 2008, 18:29 13 days ago
Tester Kale View Status Public Platform
Assigned To Resolution Open OS
Status [?] Confirmed Driver tigeroad.cpp
Version 0.61 Fixed in Version Build
Summary 00965: f1dream: Points counter at the end of a game is broken.
Description Points counter at the end of a game is broken. With the attached inp file, it should say 66, but the counter says 18.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems f1dream
Attached Files
zip file icon inp.zip (18,933 bytes) Feb 14, 2008, 17:48
Relationships
related to 00966Resolved f1dream: When crashing on horizontal guard-rails, the car "teleports" into another part of the track. 
Notes
4
User avatar
No.03804
Kale
Developer
Feb 23, 2009, 15:12
Likely to be caused by an incorrect i8751 simulation.
User avatar
No.15857
MetalGod
Tester
13 days ago
According to mameinfo, "0.197: Decapped and dumped F-1 Dream I8751 MCU [caius, Caps0ff]"
I've played the whole game and seen nothing strange with the point countering.
It guess this one is also fixed.
User avatar
No.15859
Haze
Senior Tester
13 days ago
edited on: 13 days ago
it isn't fixed

it's a bit of a mystery, but the game still counts wrong and even crashes during the ending even with the MCU hooked up, there's probably something wrong with the MCU hookup, some subtle extra protection, maybe related to why Bionic Commando still needs hacks.

There are youtube videos from real PCBs of it working properly in the same situations that crash / glitch MAME.
User avatar
No.15861
MetalGod
Tester
13 days ago
edited on: 12 days ago
Edit: I found out more than 36 points can be scored. I guess it is true